For AI agents: llms.txt.
Skip to content
Getting started

Introduction

Make your first request with the free DeepSearch sandbox.

Your first request

#

DeepSearch's API base URL is:

https://deepsearch.app/api/v1

Send requests to individual endpoints such as /api/v1/search. The base URL is a discovery index, not a POST endpoint.

Run a free sandbox search
1curl https://deepsearch.app/api/v1/search \2  -H "Authorization: Bearer dsk_test_deepsearch" \3  -H "Content-Type: application/json" \4  -d '{5        "query": "Ada Lovelace",6        "type": "name",7        "format": "json"8      }'
Try without an account
Sign up